javax.el

## Class FunctionMapper

- java.lang.Object
- - javax.el.FunctionMapper

-     public abstract class FunctionMapper
      extends Object

  The interface to a map between EL function names and methods.

  A `FunctionMapper` maps `${prefix:name()}` style functions to a static method that can execute that function.

  Since:
    JSP 2.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionMapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mapFunction(String prefix, String localName, Method meth)` Adds a static method that can be used as a function.
    `abstract Method` | `resolveFunction(String prefix, String localName)` Resolves the specified prefix and local name into a `java.lang.Method`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionMapper

          public FunctionMapper()

  - ### Method Detail

    - #### resolveFunction

          public abstract Method resolveFunction(String prefix,
                               String localName)

      Resolves the specified prefix and local name into a `java.lang.Method`.

      Returns `null` if no function could be found that matches the given prefix and local name.

      Parameters:
        `prefix` - the prefix of the function, or "" if no prefix. For example, `"fn"` in `${fn:method()}`, or `""` in `${method()}`.
        `localName` - the short name of the function. For example, `"method"` in `${fn:method()}`.
      Returns:
        the static method to invoke, or `null` if no match was found.

    - #### mapFunction

          public void mapFunction(String prefix,
                         String localName,
                         Method meth)

      Adds a static method that can be used as a function.
      Parameters:
        `prefix` - the prefix of the function, or "" if no prefix. For example, `"fn"` in `${fn:method()}`, or `""` in `${method()}`.
        `localName` - the short name of the function. For example, `"method"` in `${fn:method()}`.
        `meth` - The static method that is to be invoked, when the function is referenced. The null value causes the function to be removed from the map.
      Since:
        EL 3.0

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.